# Class LocatorImpl

java.lang.Object
nu.validator.saxtree.LocatorImpl

All Implemented Interfaces:
  `Locator2, Locator`

public final class LocatorImpl extends Object implements Locator, Locator2
A locator implementation.

Version:
  $Id$
Author:
  hsivonen

## Constructor Summary

Constructors
Constructor
Description
`LocatorImpl(Locator locator)`
The constructor.

## Method Summary

Modifier and Type
Method
Description
`int`
`getColumnNumber()`
`String`
`getEncoding()`
`int`
`getLineNumber()`
`String`
`getPublicId()`
`String`
`getSystemId()`
`String`
`getXMLVersion()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LocatorImpl

public LocatorImpl(Locator locator)
The constructor.

Parameters:
  `locator` - the locator

## Method Details

### getColumnNumber

public int getColumnNumber()

Specified by:
  `getColumnNumber` in interface `Locator`
See Also:
  - `Locator.getColumnNumber()`

### getLineNumber

public int getLineNumber()

Specified by:
  `getLineNumber` in interface `Locator`
See Also:
  - `Locator.getLineNumber()`

### getPublicId

public String getPublicId()

Specified by:
  `getPublicId` in interface `Locator`
See Also:
  - `Locator.getPublicId()`

### getSystemId

public String getSystemId()

Specified by:
  `getSystemId` in interface `Locator`
See Also:
  - `Locator.getSystemId()`

### getXMLVersion

public String getXMLVersion()

Specified by:
  `getXMLVersion` in interface `Locator2`
See Also:
  - `Locator2.getXMLVersion()`

### getEncoding

public String getEncoding()

Specified by:
  `getEncoding` in interface `Locator2`
See Also:
  - `Locator2.getEncoding()`